Current SSO/IdP configuration
GET
/v1/console/sso
const url = 'https://example.com/v1/console/sso';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/console/sso \ --header 'Authorization: Bearer <token>'Returns the managed SSO or IdP configuration of the addressed scope. Sealed secrets are never returned.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
alias
string
claimed_domains
Array<string>
configured
required
boolean
enforced_by
string
groups_mapped_by
string
network_allowlist
Array<string>
oidc_client_id
string
oidc_client_secret_hint
string
oidc_groups_claim
string
oidc_issuer
string format: uri
protocol
string
provider_available
required
boolean
redirect_uri
string format: uri
require_sso
boolean
routed_by
string
saml_acs_url
string format: uri
saml_email_attr
string
saml_entity_id
string
saml_groups_attr
string
saml_idp_sso_url
string format: uri
saml_metadata_url
string format: uri
saml_sp_cert_pem
string
saml_sp_key_hint
string
saml_sp_sign_cert_pem
string
saml_sp_sign_key_hint
string
scim_authoritative
boolean
status
string
target_tenant
string
updated_at
string format: date-time
Example
{ "protocol": "oidc"}Bad request
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Unauthenticated
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Forbidden
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Conflict / setup required
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Rate limited
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}